NX Open C++ Reference Guide
|
Represents a @link Features::Symmetric Features::Symmetric@endlink builder <br> To create a new instance of this class, use @link Features::FeatureCollection::CreateSymmetricBuilder Features::FeatureCollection::CreateSymmetricBuilder @endlink <br>
Default values. More...
Public Types | |
enum | PlaneOptions { PlaneOptionsExisting, PlaneOptionsNew } |
Represents the plane options. More... | |
Public Member Functions | |
NXOpen::SelectISurface * | ExistingSymmetryPlane () |
Returns the existing symmetry plane. | |
NXOpen::SelectFace * | MotionFace () |
Returns the motion face. | |
NXOpen::Features::FaceRecognitionBuilder * | MoveAlongFace () |
Returns the move along face. | |
NXOpen::Plane * | NewSymmetryPlane () |
Returns the new symmetry plane. | |
void | SetNewSymmetryPlane (NXOpen::Plane *newSymmetryPlane) |
Sets the new symmetry plane. | |
void | SetSymmetryPlaneOption (NXOpen::Features::SymmetricBuilder::PlaneOptions symmetryPlaneOption) |
Sets the symmetry plane option. | |
NXOpen::SelectFace * | StationaryFace () |
Returns the stationary face. | |
NXOpen::Features::SymmetricBuilder::PlaneOptions | SymmetryPlaneOption () |
Returns the symmetry plane option. | |
![]() | |
NXOpen::Features::Feature * | CommitFeature () |
Commits the feature parameters and creates the feature. | |
NXOpen::Features::Feature * | GetFeature () |
Returns the feature currently being edited by this builder. | |
void | HideInternalParentFeatureAfterEdit (NXOpen::Features::Feature *parentFeature) |
Re-suppress an internal parent feature (a slave feature) after it has been edited. | |
bool | ParentFeatureInternal () |
Returns whether or not the latest timestamped parent feature of this feature should be made internal Created in NX5.0.0. | |
bool | PatchSolutionFlag () |
Returns the patch solution flag Created in NX8.0.1. | |
NXString | PatchSurfaceFilename () |
Returns the patch surface filename Created in NX8.0.1. | |
void | SetParentFeatureInternal (NXOpen::Features::Feature *parentFeature) |
Set the parent features which would be internal or slaves to the feature being created or commited Created in NX6.0.0. | |
void | SetParentFeatureInternal (bool isInternal) |
Sets whether or not the latest timestamped parent feature of this feature should be made internal Created in NX5.0.0. | |
void | SetPatchSolutionFlag (bool optionValue) |
Sets the patch solution flag Created in NX8.0.1. | |
void | SetPatchSurfaceFilename (const NXString &surfaceFilename) |
Sets the patch surface filename Created in NX8.0.1. | |
void | SetPatchSurfaceFilename (const char *surfaceFilename) |
Sets the patch surface filename Created in NX8.0.1. | |
void | SetSurroundingPatchSurfaceFilename (const NXString &surroundingSurfaceFilename) |
Sets the surrounding patch surface filename Created in NX8.0.1. | |
void | SetSurroundingPatchSurfaceFilename (const char *surroundingSurfaceFilename) |
Sets the surrounding patch surface filename Created in NX8.0.1. | |
void | ShowInternalParentFeatureForEdit (NXOpen::Features::Feature *parentFeature) |
Unsuppress an internal parent feature (a slave feature) so it can be edited. | |
NXString | SurroundingPatchSurfaceFilename () |
Returns the surrounding patch surface filename Created in NX8.0.1. | |
void | UnsetParentFeatureInternal (NXOpen::Features::Feature *parentFeature) |
Set the internal parent feature of the feature being edited to external Created in NX6.0.0. | |
![]() | |
NXOpen::NXObject * | Commit () |
Commits any edits that have been applied to the builder. | |
void | Destroy () |
Deletes the builder, and cleans up any objects created by the builder. | |
std::vector< NXOpen::NXObject * > | GetCommittedObjects () |
For builders that create more than one object, this method returns the objects that are created by commit. | |
NXOpen::NXObject * | GetObject () |
Returns the object currently being edited by this builder. | |
void | ShowResults () |
Updates the model to reflect the result of an edit to the model for all builders that support showing results. | |
virtual bool | Validate () |
Validate whether the inputs to the component are sufficient for commit to be called. | |
![]() | |
tag_t | GetTag () const |
<b>Deprecated</b>:<br> Use Tag instead. | |
tag_t | Tag () const |
Returns the tag of this object. | |
Represents a @link Features::Symmetric Features::Symmetric@endlink builder <br> To create a new instance of this class, use @link Features::FeatureCollection::CreateSymmetricBuilder Features::FeatureCollection::CreateSymmetricBuilder @endlink <br>
Default values.
Property | Value |
---|---|
MoveAlongFace.CoaxialEnabled |
True |
MoveAlongFace.CoplanarAxesEnabled |
0 |
MoveAlongFace.CoplanarEnabled |
True |
MoveAlongFace.EqualDiameterEnabled |
0 |
MoveAlongFace.OffsetEnabled |
0 |
MoveAlongFace.ParallelEnabled |
0 |
MoveAlongFace.PerpendicularEnabled |
0 |
MoveAlongFace.SymmetricEnabled |
0 |
MoveAlongFace.TangentEnabled |
0 |
MoveAlongFace.ThicknessChainEnabled |
0 |
MoveAlongFace.UseFaceBrowse |
1 |
SymmetryPlaneOption |
Existing |
Created in NX6.0.0.
NXOpen::SelectISurface* NXOpen::Features::SymmetricBuilder::ExistingSymmetryPlane | ( | ) |
Returns the existing symmetry plane.
The @link SelectFace SelectFace@endlink object is employed to select existing planar face or datum plane as the symmetry plane if plane option is set to @link Features::SymmetricBuilder::PlaneOptionsExisting Features::SymmetricBuilder::PlaneOptionsExisting@endlink .
Created in NX6.0.0.
License requirements : None
NXOpen::SelectFace* NXOpen::Features::SymmetricBuilder::MotionFace | ( | ) |
Returns the motion face.
The constraint is applied between the motion face and a stationary face. The motion face is transformed when the constraint is applied.
Created in NX6.0.0.
License requirements : None
NXOpen::Features::FaceRecognitionBuilder* NXOpen::Features::SymmetricBuilder::MoveAlongFace | ( | ) |
Returns the move along face.
The @link Features::FaceRecognitionBuilder Features::FaceRecognitionBuilder@endlink object is employed to collect tag-along faces. When the motion face is selected it is used as a seed for recognition of tag-along faces.
Created in NX6.0.0.
License requirements : None
NXOpen::Plane* NXOpen::Features::SymmetricBuilder::NewSymmetryPlane | ( | ) |
Returns the new symmetry plane.
The @link Plane Plane@endlink object is employed to define the symmetry plane if plane option is set to @link Features::SymmetricBuilder::PlaneOptionsNew Features::SymmetricBuilder::PlaneOptionsNew@endlink .
Created in NX6.0.0.
License requirements : None
void NXOpen::Features::SymmetricBuilder::SetNewSymmetryPlane | ( | NXOpen::Plane * | newSymmetryPlane | ) |
Sets the new symmetry plane.
The @link Plane Plane@endlink object is employed to define the symmetry plane if plane option is set to @link Features::SymmetricBuilder::PlaneOptionsNew Features::SymmetricBuilder::PlaneOptionsNew@endlink .
Created in NX6.0.0.
License requirements : solid_modeling ("SOLIDS MODELING") OR cam_base ("CAM BASE")
newSymmetryPlane | newsymmetryplane |
void NXOpen::Features::SymmetricBuilder::SetSymmetryPlaneOption | ( | NXOpen::Features::SymmetricBuilder::PlaneOptions | symmetryPlaneOption | ) |
Sets the symmetry plane option.
The plane of symmetry is the plane that defines symmetry between the stationary face and the motion face. Either @link Features::SymmetricBuilder::PlaneOptionsExisting Features::SymmetricBuilder::PlaneOptionsExisting@endlink or @link Features::SymmetricBuilder::PlaneOptionsNew Features::SymmetricBuilder::PlaneOptionsNew@endlink plane option could be employed to define the symmetry plane.
Created in NX6.0.0.
License requirements : solid_modeling ("SOLIDS MODELING") OR cam_base ("CAM BASE")
symmetryPlaneOption | symmetryplaneoption |
NXOpen::SelectFace* NXOpen::Features::SymmetricBuilder::StationaryFace | ( | ) |
Returns the stationary face.
The constraint is applied between the stationary face and a motion face. The stationary face remains stationary when the constraint is applied.
Created in NX6.0.0.
License requirements : None
NXOpen::Features::SymmetricBuilder::PlaneOptions NXOpen::Features::SymmetricBuilder::SymmetryPlaneOption | ( | ) |
Returns the symmetry plane option.
The plane of symmetry is the plane that defines symmetry between the stationary face and the motion face. Either @link Features::SymmetricBuilder::PlaneOptionsExisting Features::SymmetricBuilder::PlaneOptionsExisting@endlink or @link Features::SymmetricBuilder::PlaneOptionsNew Features::SymmetricBuilder::PlaneOptionsNew@endlink plane option could be employed to define the symmetry plane.
Created in NX6.0.0.
License requirements : None